petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatConjugate

replaces the matrix values with their complex conjugates

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatConjugate(Mat mat)

Logically Collective on Mat

### Input Parameters

mat -the matrix

### See Also

VecConjugate()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatConjugate_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatConjugate_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatConjugate_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatConjugate_SeqDense in src/mat/impls/dense/seq/dense.c
MatConjugate_Elemental in src/mat/impls/elemental/matelem.cxx
MatConjugate_MPISELL in src/mat/impls/sell/mpi/mpisell.c
MatConjugate_SeqSELL in src/mat/impls/sell/seq/sell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages